Skip to content
PATCH

Update a customer token's status

https://api.kustom.co/customer-token/v1/tokens/{customerToken}/status

Cancels a customer token. Internally served by MerchantApiController’s /merchant/{merchantId}/v1/tokens/{tokenId}/status route, reached through MerchantRequestRewriteFilter. Merchant log action: UPDATE_TOKEN.

Parameters1 field
  • customerTokenstringrequiredin path
Request body1 field
  • statusstringrequired

    The token status to update to.

    • CANCELLED
202
Response0 fields

Token status update request has been accepted and is being processed.

No response body — this status returns headers only.

400
Response9 fields

The status field was missing, the request failed validation, or the token is not currently ACTIVE.

  • authorized_payment_methodobjectoptional
    3 fields in authorized_payment_method
    • number_of_daysinteger · int32optional
    • number_of_installmentsinteger · int32optional
    • typestringrequired
      • invoice
      • fixed_amount
      • pix
      • base_account
      • deferred_interest
      • direct_debit
      • direct_bank_transfer
      • b2b_invoice
      • card
      • slice_it_by_card
      • pay_later_by_card
      • fixed_sum_credit
      • +2 more
  • correlation_idstringoptional
  • error_codestringoptional
  • error_messages[]array<string>optional
  • fraud_statusstringoptional
  • reasonstringoptional
404
Response0 fields

The merchant is not migrated, or the token or merchant was not found.

No response body — this status returns headers only.

500
Response0 fields

An unexpected error occurred.

No response body — this status returns headers only.

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.